# Uses of Class
com.google.protobuf.Option

Packages that use Option
Package
Description
com.google.protobuf

## Uses of Option in com.google.protobuf

Methods in com.google.protobuf that return Option
Modifier and Type
Method
Description
`Option`
Option.Builder.`build()`
`Option`
Option.Builder.`buildPartial()`
`static Option`
Option.`getDefaultInstance()`
`Option`
Option.Builder.`getDefaultInstanceForType()`
`Option`
Option.`getDefaultInstanceForType()`
`Option`
Api.Builder.`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option`
Api.`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option`
ApiOrBuilder.`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option`
Enum.Builder.`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option`
Enum.`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option`
EnumOrBuilder.`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option`
EnumValue.Builder.`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option`
EnumValue.`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option`
EnumValueOrBuilder.`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option`
Field.Builder.`getOptions(int index)`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`Option`
Field.`getOptions(int index)`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`Option`
FieldOrBuilder.`getOptions(int index)`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`Option`
Method.Builder.`getOptions(int index)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Option`
Method.`getOptions(int index)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Option`
MethodOrBuilder.`getOptions(int index)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Option`
Type.Builder.`getOptions(int index)`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`Option`
Type.`getOptions(int index)`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`Option`
TypeOrBuilder.`getOptions(int index)`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`static Option`
Option.`parseDelimitedFrom(InputStream input)`
`static Option`
Option.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Option`
Option.`parseFrom(byte[] data)`
`static Option`
Option.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Option`
Option.`parseFrom(ByteString data)`
`static Option`
Option.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Option`
Option.`parseFrom(CodedInputStream input)`
`static Option`
Option.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Option`
Option.`parseFrom(InputStream input)`
`static Option`
Option.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Option`
Option.`parseFrom(ByteBuffer data)`
`static Option`
Option.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Option
Modifier and Type
Method
Description
`List<Option>`
Api.Builder.`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
Api.`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
ApiOrBuilder.`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
Enum.Builder.`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
Enum.`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
EnumOrBuilder.`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
EnumValue.Builder.`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
EnumValue.`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
EnumValueOrBuilder.`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
Field.Builder.`getOptionsList()`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`List<Option>`
Field.`getOptionsList()`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`List<Option>`
FieldOrBuilder.`getOptionsList()`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`List<Option>`
Method.Builder.`getOptionsList()`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`List<Option>`
Method.`getOptionsList()`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`List<Option>`
MethodOrBuilder.`getOptionsList()`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`List<Option>`
Type.Builder.`getOptionsList()`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`List<Option>`
Type.`getOptionsList()`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`List<Option>`
TypeOrBuilder.`getOptionsList()`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`Parser<Option>`
Option.`getParserForType()`
`static Parser<Option>`
Option.`parser()`
Methods in com.google.protobuf with parameters of type Option
Modifier and Type
Method
Description
`Api.Builder`
Api.Builder.`addOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Api.Builder`
Api.Builder.`addOptions(Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum.Builder`
Enum.Builder.`addOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum.Builder`
Enum.Builder.`addOptions(Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`EnumValue.Builder`
EnumValue.Builder.`addOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`EnumValue.Builder`
EnumValue.Builder.`addOptions(Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Field.Builder`
Field.Builder.`addOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`Field.Builder`
Field.Builder.`addOptions(Option value)`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`Method.Builder`
Method.Builder.`addOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Method.Builder`
Method.Builder.`addOptions(Option value)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Type.Builder`
Type.Builder.`addOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`Type.Builder`
Type.Builder.`addOptions(Option value)`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`Option.Builder`
Option.Builder.`mergeFrom(Option other)`
`static Option.Builder`
Option.`newBuilder(Option prototype)`
`Api.Builder`
Api.Builder.`setOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum.Builder`
Enum.Builder.`setOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`EnumValue.Builder`
EnumValue.Builder.`setOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Field.Builder`
Field.Builder.`setOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`Method.Builder`
Method.Builder.`setOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Type.Builder`
Type.Builder.`setOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
Method parameters in com.google.protobuf with type arguments of type Option
Modifier and Type
Method
Description
`Api.Builder`
Api.Builder.`addAllOptions(Iterable<? extends Option> values)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Enum.Builder`
Enum.Builder.`addAllOptions(Iterable<? extends Option> values)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`EnumValue.Builder`
EnumValue.Builder.`addAllOptions(Iterable<? extends Option> values)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Field.Builder`
Field.Builder.`addAllOptions(Iterable<? extends Option> values)`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`Method.Builder`
Method.Builder.`addAllOptions(Iterable<? extends Option> values)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`Type.Builder`
Type.Builder.`addAllOptions(Iterable<? extends Option> values)`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`